## org.biojava.bio.seq.io.filterxml
Interface XMLFilterWriter.FilterWriter

Enclosing class:
  XMLFilterWriter

    public static interface XMLFilterWriter.FilterWriter

Interface for an object which can write a FeatureFilter as XML. Implement this to add support for new types of `FeatureFilter`

Since:
  1.3
Author:
  Thomas Down

Method Summary
`void` `writeFilter(FeatureFilter ff, XMLWriter xw, XMLFilterWriter config)`

Method Detail

### writeFilter

    void writeFilter(FeatureFilter ff,
                     XMLWriter xw,
                     XMLFilterWriter config)
                     throws ClassCastException,
                            IllegalArgumentException,
                            IOException

  Throws:
    `ClassCastException`
    `IllegalArgumentException`
    `IOException`